def dig(n):
    l=[]
    for j in range(n):
        a=int(input())
        l.append(a)
    for i in range(n-1):
        if l[i-1]!=l[n]:
            if l[i-1]>l[i]:
                a=l[i-1]
                l[i-1]=l[i]
                l[i]=a
    print(l)
dig(int(input()))